Bug 22128 - [4.0/4.1/4.2/4.3 Regression] Cyclic inheritance hangs jc1
Summary: [4.0/4.1/4.2/4.3 Regression] Cyclic inheritance hangs jc1
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: java (show other bugs)
Version: 4.1.0
: P5 normal
Target Milestone: 4.3.0
Assignee: Not yet assigned to anyone
URL:
Keywords: compile-time-hog, ice-on-invalid-code
Depends on: 28067
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-20 19:56 UTC by Bryce McKinlay
Modified: 2007-01-09 20:47 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work: 3.0.4
Known to fail: 3.2.3 3.3.3 3.4.0 4.0.0 4.1.0
Last reconfirmed: 2006-02-12 18:06:35


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bryce McKinlay 2005-06-20 19:56:42 UTC
The following test case causes gcj to hang:

public class Cyclic extends Cyclic
{
  class C 
  {
    class D extends C {}
  }
}

The circularity error at the top level is correctly issued, however we later get
stuck in inherits_from_p when checking circularity for the inner classes.
Comment 1 Andrew Pinski 2005-06-21 13:01:52 UTC
Confirmed, this is a regression from 3.0.4 where we errored out and that is it and no infinite loop.
Comment 2 Mark Mitchell 2005-08-22 03:40:32 UTC
Java bugs are not release-critical; removing target milestone.
Comment 3 Mark Mitchell 2006-05-25 02:36:11 UTC
Will not be fixed in 4.1.1; adjust target milestone to 4.1.2.
Comment 4 Tom Tromey 2007-01-09 20:47:48 UTC
All gcj front end bugs have been fixed by the gcj-eclipse branch merge.
I'm mass-closing the affected PRs.
If you believe one of these was closed in error, please reopen it
with a note explaining why.
Thanks.